> For the complete documentation index, see [llms.txt](https://help.renlaer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.renlaer.com/reference/api-reference/proxy-generation.md).

# Proxy generation

## Generate endpoints you want from any country,state and city

<mark style="color:green;">`POST`</mark> `https://api.renlaer.com/V1/OpenApi/OpenApiGenerateCustomEndpoints`

#### Headers

| Name                                           | Type   | Description                       |
| ---------------------------------------------- | ------ | --------------------------------- |
| UserId<mark style="color:red;">\*</mark>       | String | "Authentication" generated userId |
| Token<mark style="color:red;">\*</mark>        | String | "Authentication" generated token  |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json                  |

#### Request Body

| Name                                                | Type    | Description                                                                                                                                                                                            |
| --------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| ChannelId<mark style="color:red;">\*</mark>         | Integer |                                                                                                                                                                                                        |
| Location<mark style="color:red;">\*</mark>          | String  | Capitalized country alpha-2 code, continental random, or global random.[view all available countries](/location-settings/state-and-city.md)[,states and cities.](/location-settings/state-and-city.md) |
| StickySessionTime<mark style="color:red;">\*</mark> | Integer | <p>Session time in minutes, available values:<code>5，10，15，30，60，90.</code></p><p>Fill in <mark style="color:red;"><code>0</code></mark> , which means that a new IP is changed for each request</p>   |
| Count<mark style="color:red;">\*</mark>             | Integer | Count of routes that will be generated and returned. Min value is 1, max value depends on param page and specific location.                                                                            |
| Domain<mark style="color:red;">\*</mark>            | String  | <p>Default is <code>Global</code>.</p><p>This means you can use it anywhere in the world, at the fastest speed.</p>                                                                                    |
| State                                               | String  | [View allavailable countries,states and cities.](/location-settings/state-and-city.md)                                                                                                                 |
| City                                                | String  | [View allavailable countries,states and cities.](/location-settings/state-and-city.md)                                                                                                                 |

{% tabs %}
{% tab title="200: OK "Code":1000,"Message":"Successful"" %}

```json
{
    "Code": 1000,
    "Message": "Successful",
    "Data": [
        accessdomain:port:customer_US_032_0226_5_ss-SoPzCGvB:password"
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.renlaer.com/reference/api-reference/proxy-generation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
